[edgy] Important dvb-ttpci modules are missing in edgy!

Bug #58742 reported by Thomas Karmann on 2006-09-03
24
Affects Status Importance Assigned to Milestone
linux-source-2.6.15 (Ubuntu)
Undecided
Unassigned
linux-source-2.6.17 (Ubuntu)
High
Ben Collins

Bug Description

Binary package hint: linux-image-2.6-amd64-generic

I can't use my DVB-C TV-card in edgy because the whole branch of DVB-kernelmodules for PCIcards is missing (such as saa7146, ...).
They were included in dapper.

Thomas Karmann (samoht) on 2006-09-03
description: updated
Thomas Karmann (samoht) wrote :

Aha!
I had a look at the 2.6.17 kernelsources and possibly found the reason why these modules are not included... It's necessary to enable the (deprecated) "Video for Linux 1"
interface in the kernel configuration, then you are able to select the PCI cards.
Please do so!

Matti Lindell (mlind) wrote :

I'll assign this against Edgy's kernel.

Benjamin_L (benjamin-lebsanft) wrote :

What replaces those "deprecated" interfaces?

David Bridson (david-bridson) wrote :

Video4Linux 1 was replaced by Video4Linux 2. However, quite a number of drivers and applications still rely on the old Video4Linux 1 interface.

Benjamin_L (benjamin-lebsanft) wrote :

I see. But it would be nice if this bug could be fixed quickly as watching tv or using my tv card at all would be quite nice :)

Ben Collins (ben-collins) wrote :

Problem is that some of the "deprecated" interfaces conflict with the newer ones. So just "enabling" them means we'll get undefined results when udev tries to decide which driver to load.

David Bridson (david-bridson) wrote :

Is this a new feature in recent kernels? The kernel in Dapper included support for DVB devices out of the box, so it's quite surprising to see it disappear in Edgy.

On Thu, 2006-09-14 at 16:09 +0000, David Bridson wrote:
> Is this a new feature in recent kernels? The kernel in Dapper included
> support for DVB devices out of the box, so it's quite surprising to see
> it disappear in Edgy.

It's a side affect of the new DVB tree in latest kernels I believe. I'll
look into how best to resolve this though. I don't want to lose hw
support.

Timo Aaltonen (tjaalton) wrote :

I was bitten by this as well.. upgraded my home box to edgy from a cdrom (no network yet) so I was lucky to still have the dapper kernel around ;)

Marking as "in progress"..

Changed in linux-source-2.6.17:
status: Unconfirmed → In Progress
hmc8 (hmc8) wrote :

OMG, i just realized this too. My DVB-S WinTV Nova pci-card doesn't work anymore with edgy, in dapper this was just fine. OMG :-(

Timo Aaltonen (tjaalton) wrote :
Download full text (3.2 KiB)

BenC: would these help (from 2.6.18 changelog)

commit 2d15fd2f01fc76dc6856a5c551e32e4510f2b492
Author: Andrew de Quincey <email address hidden>
Date: Tue Apr 18 17:47:11 2006 -0300

    V4L/DVB (3878): Convert ttpci/budget-patch to refactored tuner code

    Rename pll calls to appropriate tuner calls.
    Remove pll functions from demod structures.
    Hook tuner call into tuner_ops.
    Add pll gate control calls where appropriate.

    Signed-off-by: Andrew de Quincey <email address hidden>
    Signed-off-by: Mauro Carvalho Chehab <email address hidden>

commit e87d41c4952ceef7a9f760f38f9343d015279662
Author: Andrew de Quincey <email address hidden>
Date: Tue Apr 18 17:47:11 2006 -0300

    V4L/DVB (3877): Convert ttpci/budget-av to refactored tuner code

    Rename pll calls to appropriate tuner calls.
    Remove pll functions from demod structures.
    Hook tuner call into tuner_ops.
    Add pll gate control calls where appropriate.

    Signed-off-by: Andrew de Quincey <email address hidden>
    Signed-off-by: Mauro Carvalho Chehab <email address hidden>

commit 0f591d409b63999ee8053df9cfbedd77bfbf3b22
Author: Andrew de Quincey <email address hidden>
Date: Tue Apr 18 17:47:11 2006 -0300

    V4L/DVB (3876): Convert ttpci/budget-ci to refactored tuner code

    Rename pll calls to appropriate tuner calls.
    Remove pll functions from demod structures.
    Hook tuner call into tuner_ops.
    Add pll gate control calls where appropriate.

    Signed-off-by: Andrew de Quincey <email address hidden>
    Signed-off-by: Mauro Carvalho Chehab <email address hidden>

commit 067145bdd41bcb090510c73cc6ecd7b09213f038
Author: Andrew de Quincey <email address hidden>
Date: Tue Apr 18 17:47:11 2006 -0300

    V4L/DVB (3875): Convert ttpci/budget to refactored tuner code

    Rename pll calls to appropriate tuner calls.
    Remove pll functions from demod structures.
    Hook tuner call into tuner_ops.
    Add pll gate control calls where appropriate.

    Signed-off-by: Andrew de Quincey <email address hidden>
    Signed-off-by: Mauro Carvalho Chehab <email address hidden>

commit fa006d86716891657dc8cc9b330b546d1899a7b4
Author: Andrew de Quincey <email address hidden>
Date: Tue Apr 18 17:47:11 2006 -0300

    V4L/DVB (3874): Convert ttpci/av7110 to refactored tuner code

    Rename pll calls to appropriate tuner calls.
    Remove pll functions from demod structures.
    Hook tuner call into tuner_ops.
    Add pll gate control calls where appropriate.

    Signed-off-by: Andrew de Quincey <email address hidden>
    Signed-off-by: Mauro Carvalho Chehab <email address hidden>

There are a number of similar patches on 2.6.18.. While grepping for ttpci there's also this one:

commit 5dab71b1e85356fdd7cbc29d338ca6c0bd0e4e49
Author: Trent Piepho <email address hidden>
Date: Sat Jun 17 07:48:03 2006 -0300

    V4L/DVB (4106): Fix problems with AV7110 firmware building

    Fix missing $() on variable name in dvb/ttpci/Makefile
    Fix AV7110 firmware dependencies so that parallel builds work correctly.

    Signed-off-by: Trent Piepho <email address hidden>
    Signed-off-by: Mauro C...

Read more...

I just upgraded and have this problem too. :-(
And I have two cards :-( Both SAA7146 Terratec.
Please fix this. I'm not getting my daily Conan O'Brien....

Matthew Garrett (mjg59) wrote :

Set milestone in order to avoid support regressions

Timo Aaltonen (tjaalton) wrote :

kabtoffe, and others: you can use the latest dapper-kernel, it works just fine until we have a new one in edgy.

Changed in linux-source-2.6.17:
assignee: nobody → ben-collins
importance: Undecided → High
Ben Collins (ben-collins) wrote :

Oops. No bug in dapper for this.

Changed in linux-source-2.6.17:
status: In Progress → Fix Committed
status: Fix Committed → In Progress
Changed in linux-source-2.6.15:
assignee: ben-collins → nobody
importance: Medium → Undecided
status: Confirmed → Rejected
Ben Collins (ben-collins) wrote :

All V4L1 devices are now enabled. If they conflict with any v4l2 drivers, then basically people will need to blacklist the driver they don't want.

The V4L1 compatibility layer was already enabled.

Changed in linux-source-2.6.17:
status: In Progress → Fix Committed
Timo Aaltonen (tjaalton) wrote :

that's great news. Pity though that the build failed :)

  CC [M] net/ipv4/netfilter/ip_queue.o
  LD [M] net/ipv4/netfilter/ip_conntrack.o
  LD [M] net/ipv4/netfilter/ip_nat.o
  LD [M] net/ipv4/netfilter/ip_conntrack_h323.o
  LD [M] net/ipv4/netfilter/ip_conntrack_pptp.o
make[2]: *** [net] Error 2
make[2]: Leaving directory `/build/buildd/linux-source-2.6.17-2.6.17/debian/build/build-386'
make[1]: *** [debian/stamp-build-kernel] Error 2
make[1]: Leaving directory `/build/buildd/linux-source-2.6.17-2.6.17/debian/build/build-386'
make: *** [build] Error 2
******************************************************************************
Build finished at 20061013-0438
FAILED [dpkg-buildpackage died]

the failure points vary by the architecture.

Benjamin_L (benjamin-lebsanft) wrote :

It works, thank you! :)

Timo Aaltonen (tjaalton) wrote :

Indeed, working fine.. thanks!

Nicolas DERIVE (kalon33) wrote :
Download full text (4.8 KiB)

Not fixed for me with a dvb usb key. Here is my dmesg output :

[17182559.928000] usb 3-2: new high speed USB device using ehci_hcd and address 4
[17182560.060000] usb 3-2: configuration #1 chosen from 1 choice
[17182560.060000] em28xx new video device (eb1a:2881): interface 0, class 255
[17182560.060000] em28xx #0: Alternate settings: 8
[17182560.060000] em28xx #0: Alternate setting 0, max size= 0
[17182560.060000] em28xx #0: Alternate setting 1, max size= 0
[17182560.060000] em28xx #0: Alternate setting 2, max size= 1448
[17182560.060000] em28xx #0: Alternate setting 3, max size= 2048
[17182560.060000] em28xx #0: Alternate setting 4, max size= 2304
[17182560.060000] em28xx #0: Alternate setting 5, max size= 2580
[17182560.060000] em28xx #0: Alternate setting 6, max size= 2892
[17182560.060000] em28xx #0: Alternate setting 7, max size= 3072
[17182560.960000] input: em2880/em2870 remote control as /class/input/input4
[17182560.960000] em28xx-input.c: remote control handler attached
[17182561.216000] attach_inform: eeprom detected.
[17182561.216000] tuner 0-0061: chip found @ 0xc2 (em28xx #0)
[17182561.216000] attach inform: detected I2C address c2
[17182561.216000] xc3028-tuner.c: selected videostandard PAL-B/G
[17182561.216000] xc3028-tuner.c: ANALOG Mode!
[17182561.508000] xc3028-tuner.c: compat mode, please upgrade your firmware!
[17182563.940000] xc3028-tuner.c: Firmware uploaded
[17182564.204000] FIXME: Write failed, backtrace:
[17182564.204000] ===============================
[17182564.204000] 1e 1f 13 87 18 02 93 91 44 86 96 8c
[17182564.204000] ================================
[17182564.204000] xc3028-tuner.c: default V4L2_STD_BG
[17182564.240000] FIXME: Write failed, backtrace:
[17182564.240000] ===============================
[17182564.240000] 1e 1f 13 87 18 02 93 91 44 86 96 8c
[17182564.240000] ================================
[17182564.280000] attach_inform: tvp5150 detected.
[17182564.316000] em28xx #0: i2c eeprom 00: 1a eb 67 95 1a eb 81 28 58 12 5c 00 6a 20 6a 00
[17182564.316000] em28xx #0: i2c eeprom 10: 00 00 04 57 64 57 00 00 60 f4 00 00 02 02 00 00
[17182564.316000] em28xx #0: i2c eeprom 20: 56 00 01 00 00 00 02 00 b8 00 00 00 5b 1e 00 00
[17182564.316000] em28xx #0: i2c eeprom 30: 00 00 20 40 20 80 02 20 10 02 00 00 00 00 00 00
[17182564.316000] em28xx #0: i2c eeprom 40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[17182564.316000] em28xx #0: i2c eeprom 50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[17182564.316000] em28xx #0: i2c eeprom 60: 00 00 00 00 00 00 00 00 00 00 20 03 55 00 53 00
[17182564.316000] em28xx #0: i2c eeprom 70: 42 00 20 00 32 00 38 00 38 00 31 00 20 00 56 00
[17182564.316000] em28xx #0: i2c eeprom 80: 69 00 64 00 65 00 6f 00 00 00 00 00 00 00 00 00
[17182564.316000] em28xx #0: i2c eeprom 90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[17182564.316000] em28xx #0: i2c eeprom a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[17182564.316000] em28xx #0: i2c eeprom b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[17182564.316000] em28xx #0: i2c eeprom c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[17182564.316000] em28xx #0: i2c eeprom d0: 00 00 00 00 00 00 00 00 00 00 00 00 ...

Read more...

Timo Aaltonen (tjaalton) wrote :

now that the driver can be used, I'm having problems with it since vdr is restarting every five minutes or so when recording something. Maybe that's worth another bug, so I'll file one.

Timo Aaltonen (tjaalton) wrote :

actually, if I take my TT-C1500 out but leave the TT-C2100, it works. The card could be broken, I've never really used it since it doesn't work in dapper (won't tune). I even tried building the latest v4l-sources but they have the same problem.

hmc8 (hmc8) wrote :

Thanks a lot! I am very happy now :D My brand-new Win TV Nova-S-Plus works fine now, thanks again.

Tollef Fog Heen (tfheen) wrote :

linux-source-2.6.17 (2.6.17-10.33) edgy; urgency=low

  * Fix build failure

  [2.6.17-10.32]

  * ia64: Fix merge error for CVE-2006-3741. Caused a FTBFS.
  * Re-add ipw2200 quiesce patch.
  * Revert "usb/unusual: Add Domain Tech as GO_SLOW".
  * general: Quieten some more messages.
  * prism2: Commented out devices from MODULE_DEV_TABLE that are supported by
    hostap.
    - Malone #62685
  * pcbios: Cherry pick fix for PCBIOS PCI probing:
    Upstream GIT-SHA: 954c0b7cd5b9aaa11fb67a0c011fcb5e5897385a
    - Malone #60231
  * sdhci: Cherry pick fix for some devices, avoid reset in certain cases.
    Upstream GIT-SHA: 8a4da1430f7f2a16df3be9c7b5d55ba4e75b708c
    - Malone #63553
  * ahci: Add Intel 2680 device.
    - Malone #64433
  * hdaps: Re-implement lost dapper patch for y-only axis swapping. Add X41 as
    y-only.
    - Malone #58742
  * Enable all V4L1 modules.
    - Malone #58742

 -- Ben Collins <email address hidden> Wed, 11 Oct 2006 17:05:07 -0400

Changed in linux-source-2.6.17:
status: Fix Committed → Fix Released
mikee (mike-edwardsathome) wrote :

I also have a problem with my Nova -T which worked out of the box under Dapper. Can someone explain how I get it working with EDGY?

Thanks Guys

Nicolas DERIVE (kalon33) wrote :

mikee, have a look here : http://linuxtv.org/wiki/index.php/How_to_install_DVB

It's not a solution out of the box (it needs a few hand-changes), so the problem remains.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions